cURL
curl --request PATCH \
--url https://aodocs.altirnao.com/api/user/v1/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"landingLabel": {
"createdAt": 123,
"deleted": true,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": true,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": [
"<string>"
],
"rank": 123,
"referenceCatalogId": "<string>"
},
"locale": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"timezone": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/user/v1/me"
payload = {
"landingLabel": {
"createdAt": 123,
"deleted": True,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": True,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": ["<string>"],
"rank": 123,
"referenceCatalogId": "<string>"
},
"locale": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
landingLabel: {
createdAt: 123,
deleted: true,
id: '<string>',
kind: '<string>',
lastModifiedAt: 123,
leaf: true,
level: 123,
name: '<string>',
parent: '<string>',
parentIds: ['<string>'],
rank: 123,
referenceCatalogId: '<string>'
},
locale: '<string>',
notifications: [
{
classId: '<string>',
className: '<string>',
libraryId: '<string>',
libraryName: '<string>'
}
],
timezone: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/user/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/user/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'landingLabel' => [
'createdAt' => 123,
'deleted' => true,
'id' => '<string>',
'kind' => '<string>',
'lastModifiedAt' => 123,
'leaf' => true,
'level' => 123,
'name' => '<string>',
'parent' => '<string>',
'parentIds' => [
'<string>'
],
'rank' => 123,
'referenceCatalogId' => '<string>'
],
'locale' => '<string>',
'notifications' => [
[
'classId' => '<string>',
'className' => '<string>',
'libraryId' => '<string>',
'libraryName' => '<string>'
]
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/user/v1/me"
payload := strings.NewReader("{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://aodocs.altirnao.com/api/user/v1/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/user/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"aliases": [
"<string>"
],
"availableDomains": [
"<string>"
],
"availableStorageServices": [
"GOOGLE_DRIVE"
],
"canAccessDrive": true,
"canCreateLibraries": true,
"canCreateLibrariesOfTypes": [
{
"creationType": "TEAM_FOLDER"
}
],
"defaultDomain": "<string>",
"domain": "<string>",
"domainRoles": [
"SCRIPT_ADMIN"
],
"email": "<string>",
"external": true,
"googleEmailAddress": true,
"groupAliases": [
"<string>"
],
"groups": [
"<string>"
],
"impersonable": true,
"kind": "<string>",
"landingLabel": {
"createdAt": 123,
"deleted": true,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": true,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": [
"<string>"
],
"rank": 123,
"referenceCatalogId": "<string>"
},
"lastEdit": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z",
"locale": "<string>",
"name": "<string>",
"namespace": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"frequency": "DAILY",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"permissionIds": [
"<string>"
],
"standalone": true,
"superAdmin": true,
"thumbnailPictureUrl": "<string>",
"timezone": "<string>",
"useDelayedVersion": true
}user
Patch userv1me
Updates user preferences partially (all non-specified field values will remain unchanged) - only works with editable properties.
PATCH
/
user
/
v1
/
me
cURL
curl --request PATCH \
--url https://aodocs.altirnao.com/api/user/v1/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"landingLabel": {
"createdAt": 123,
"deleted": true,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": true,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": [
"<string>"
],
"rank": 123,
"referenceCatalogId": "<string>"
},
"locale": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"timezone": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/user/v1/me"
payload = {
"landingLabel": {
"createdAt": 123,
"deleted": True,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": True,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": ["<string>"],
"rank": 123,
"referenceCatalogId": "<string>"
},
"locale": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
landingLabel: {
createdAt: 123,
deleted: true,
id: '<string>',
kind: '<string>',
lastModifiedAt: 123,
leaf: true,
level: 123,
name: '<string>',
parent: '<string>',
parentIds: ['<string>'],
rank: 123,
referenceCatalogId: '<string>'
},
locale: '<string>',
notifications: [
{
classId: '<string>',
className: '<string>',
libraryId: '<string>',
libraryName: '<string>'
}
],
timezone: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/user/v1/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/user/v1/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'landingLabel' => [
'createdAt' => 123,
'deleted' => true,
'id' => '<string>',
'kind' => '<string>',
'lastModifiedAt' => 123,
'leaf' => true,
'level' => 123,
'name' => '<string>',
'parent' => '<string>',
'parentIds' => [
'<string>'
],
'rank' => 123,
'referenceCatalogId' => '<string>'
],
'locale' => '<string>',
'notifications' => [
[
'classId' => '<string>',
'className' => '<string>',
'libraryId' => '<string>',
'libraryName' => '<string>'
]
],
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/user/v1/me"
payload := strings.NewReader("{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://aodocs.altirnao.com/api/user/v1/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/user/v1/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"landingLabel\": {\n \"createdAt\": 123,\n \"deleted\": true,\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"lastModifiedAt\": 123,\n \"leaf\": true,\n \"level\": 123,\n \"name\": \"<string>\",\n \"parent\": \"<string>\",\n \"parentIds\": [\n \"<string>\"\n ],\n \"rank\": 123,\n \"referenceCatalogId\": \"<string>\"\n },\n \"locale\": \"<string>\",\n \"notifications\": [\n {\n \"classId\": \"<string>\",\n \"className\": \"<string>\",\n \"libraryId\": \"<string>\",\n \"libraryName\": \"<string>\"\n }\n ],\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"aliases": [
"<string>"
],
"availableDomains": [
"<string>"
],
"availableStorageServices": [
"GOOGLE_DRIVE"
],
"canAccessDrive": true,
"canCreateLibraries": true,
"canCreateLibrariesOfTypes": [
{
"creationType": "TEAM_FOLDER"
}
],
"defaultDomain": "<string>",
"domain": "<string>",
"domainRoles": [
"SCRIPT_ADMIN"
],
"email": "<string>",
"external": true,
"googleEmailAddress": true,
"groupAliases": [
"<string>"
],
"groups": [
"<string>"
],
"impersonable": true,
"kind": "<string>",
"landingLabel": {
"createdAt": 123,
"deleted": true,
"id": "<string>",
"kind": "<string>",
"lastModifiedAt": 123,
"leaf": true,
"level": 123,
"name": "<string>",
"parent": "<string>",
"parentIds": [
"<string>"
],
"rank": 123,
"referenceCatalogId": "<string>"
},
"lastEdit": "2023-11-07T05:31:56Z",
"lastLogin": "2023-11-07T05:31:56Z",
"locale": "<string>",
"name": "<string>",
"namespace": "<string>",
"notifications": [
{
"classId": "<string>",
"className": "<string>",
"frequency": "DAILY",
"libraryId": "<string>",
"libraryName": "<string>"
}
],
"permissionIds": [
"<string>"
],
"standalone": true,
"superAdmin": true,
"thumbnailPictureUrl": "<string>",
"timezone": "<string>",
"useDelayedVersion": true
}Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
Scopes
Body
application/json
Response
200 - application/json
A ApiUser response